<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Lato' rel='stylesheet' type='text/css'>
<style type="text/css">
body{
	font-family: 'Lato', sans-serif;
}
label{
	display:block;
	margin:10px 0px 0px 0px;
}
input[type="button"]{
	display:block;
	width:100px;
	height:30px;
	line-height:24px;
	text-align:center;
	margin:10px 0px;
}
input:required{
	box-shadow: 0 0 5px #000;
}

input:required:valid{
	box-shadow: 0 0 5px #00F;
}
input:focus:required:invalid{
	box-shadow: 0 0 5px #F00;
}
</style>

<script type="text/javascript">
	function ejecuta(){
		console.log(document.getElementsByName("edad"));
	}
</script>
</head>

<body>
<form method="get" name="uno" class="unico" id="formulario">
<fieldset>
<legend>Formulario de prueba</legend>
<label for="edad">Edad</label>
<input name="edad[]" id="edad" type="text">
<label for="cod">Codigo</label>
<input id="cod" name="codigo" type="text" readonly value="1">
<label for="codF">Codigo Final</label>
<input id="codF" name="codigoFinal" type="text" disabled value="10">
<label for="ej">Ejemplo de texto</label>
<input id="ej" type="text" name="ejemplo" class="textoEjemplo" placeholder="Escribe algo">
<label for="af">Aficiones</label>
<input id="af" type="text" name="aficion" required>
<input type="text" name="aficion" required>
<input type="text" name="aficion" required>
</fieldset>
<input type="submit" value="enviar" onclick="ejecuta()" >
</form>
</body>
</html>
